/*
 *  Copyright (c) 2003 Helsinki Institute for Information Technology
 *
 *  Permission is hereby granted, free of charge, to any person obtaining a copy
 *  of this software and associated documentation files (the "Software"), to
 *  deal in the Software without restriction, including without limitation the
 *  rights to use, copy, modify, merge, publish, distribute, sublicense, and/or
 *  sell copies of the Software, and to permit persons to whom the Software is
 *  furnished to do so, subject to the following conditions:
 *
 *  The above copyright notice and this permission notice shall be included in
 *  all copies or substantial portions of the Software.
 *
 *  THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 *  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 *  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 *  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 *  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
 *  FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS
 *  IN THE SOFTWARE.
 */

package seco.io;

import java.io.InputStream;
/**
 *  Description of the Class
 *
 *@author     Samppa
 *@created    September 17, 2003
 */
public class StringInputStream extends InputStream {


    /**
     *  Description of the Field
     */
    private int pos = 0;
    /**
     *  Description of the Field
     */
    private CharSequence str;


    /**
     *  Constructor for the StringInputStream object
     *
     *@param  str  Description of the Parameter
     */
    public StringInputStream(CharSequence str) {
        this.str = str;
    }


    /**
     *  Description of the Method
     *
     *@return    Description of the Return Value
     */
    public int read() {
        int rv = -1;
        if (this.str != null && this.pos < this.str.length()) {
            rv = this.str.charAt(this.pos++);
        }
        return rv;
    }
}

